Main Page Groups Namespaces

# functor_trait.h File Reference

## Namespaces

namespace | sigc

## Defines

#define | SIGC_FUNCTORS_HAVE_RESULT_TYPE
#define | SIGC_FUNCTOR_TRAIT(T_functor, T_return)

## Define Documentation

#define SIGC_FUNCTOR_TRAIT | ( | T_functor,
|  | T_return |  | ) |

Value:

    template <>                                    \
    struct functor_trait<T_functor,false>          \
    {                                              \
      typedef T_return result_type;                \
      typedef T_functor functor_type;              \
    };

#define SIGC_FUNCTORS_HAVE_RESULT_TYPE

Value:

    template <class T_functor>                             \
    struct functor_trait<T_functor,false>                  \
    {                                                      \
      typedef typename T_functor::result_type result_type; \
      typedef T_functor functor_type;                      \
    };